%define upstream_name IPC-Signal
%define upstream_version 1.00

Summary:	IPC::Signal - Utility functions dealing with signals
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/~rosch/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/R/RO/ROSCH/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch

%{?perl_default_filter}

%description
This module contains utility functions for dealing with signals.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/IPC/Signal.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-14.mga8
+ Revision: 1495203
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-13.mga7
+ Revision: 1268846
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-12.mga6
+ Revision: 1028806
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-11.mga6
+ Revision: 935948
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.00-10.mga5
+ Revision: 747573
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.00-9.mga5
+ Revision: 732306
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.00-8.mga5
+ Revision: 685107
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-7.mga4
+ Revision: 512357
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-6.mga3
+ Revision: 368648
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.00-5.mga1
+ Revision: 30552
- mageia rebuild
- imported package perl-IPC-Signal


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.00-5mdv2010.0
+ Revision: 430476
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-4mdv2009.0
+ Revision: 257387
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-3mdv2009.0
+ Revision: 245410
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.00-1mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdv2007.0
+ Revision: 131200
- Import perl-IPC-Signal

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdk
- initial Mandriva package

